Bug 20719 - Home library not displayed on all patron account tabs
Summary: Home library not displayed on all patron account tabs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Amit Gupta
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-07 12:22 UTC by Amit Gupta
Modified: 2018-10-24 09:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Branchcode not shown in files.pl (7.10 KB, image/png)
2018-05-07 12:25 UTC, Amit Gupta
Details
Bug 20719 - Missing branchcode in /cgi-bin/koha/members/files.pl (987 bytes, patch)
2018-05-07 12:26 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 20719: USE Branches in TT files (5.52 KB, patch)
2018-05-07 18:36 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20719 - Add missing USE Branches to files.tt (1.09 KB, patch)
2018-05-07 18:43 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20719: USE Branches in TT files (5.59 KB, patch)
2018-05-08 02:45 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 20719: Add missing USE Branches to files.tt (1.15 KB, patch)
2018-05-10 17:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20719: USE Branches in TT files (5.64 KB, patch)
2018-05-10 17:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2018-05-07 12:22:59 UTC
Missing branchcode in /cgi-bin/koha/members/files.pl
Comment 1 Amit Gupta 2018-05-07 12:25:40 UTC
Created attachment 75116 [details]
Branchcode not shown in files.pl

Branchcode not shown in files.pl
Comment 2 Amit Gupta 2018-05-07 12:26:27 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2018-05-07 18:07:12 UTC
This is part of a bigger problem. Need to check these out further.
koha-tmpl/intranet-tmpl/prog/en/modules/members/accountline-details.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/boraccount.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/deletemem.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/files.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/housebound.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/mancredit.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/maninvoice.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/nl-search.tt

This list was generated by looking at the output of:
for i in `git grep circ-menu.inc | grep tt: | cut -f1 -d:`; do echo "*****";echo $i;echo;grep Branch $i;echo "*****"; done | less

and then selecting those that lacked Branch. The other cases generally had the required "[% USE Branches %]"
Comment 4 M. Tompsett 2018-05-07 18:07:59 UTC
This is not an enhancement. The branch code/name should display. It's a minor bug.
Comment 5 M. Tompsett 2018-05-07 18:36:52 UTC Comment hidden (obsolete)
Comment 6 M. Tompsett 2018-05-07 18:43:34 UTC
Created attachment 75143 [details] [review]
Bug 20719 - Add missing USE Branches to files.tt

Test

On a kohadevbox:
0. Enable the EnableBorrowerFiles system preference
1. Go to any patron, and click on the 'Files' tab in the
   left pane.
   -- the Home library is not displayed.
2. Apply the patch, restart_all, and reload the page.
   -- the Home library is now displayed.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 Amit Gupta 2018-05-08 02:45:39 UTC
Created attachment 75152 [details] [review]
Bug 20719: USE Branches in TT files

Works fine.
Comment 8 Katrin Fischer 2018-05-10 17:49:20 UTC
Created attachment 75238 [details] [review]
Bug 20719: Add missing USE Branches to files.tt

Test

On a kohadevbox:
0. Enable the EnableBorrowerFiles system preference
1. Go to any patron, and click on the 'Files' tab in the
   left pane.
   -- the Home library is not displayed.
2. Apply the patch, restart_all, and reload the page.
   -- the Home library is now displayed.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2018-05-10 17:49:36 UTC
Created attachment 75239 [details] [review]
Bug 20719: USE Branches in TT files

TEST PLAN
---------
In the staff client on a kohadevbox:
1) Enable the HouseboundModule system preference.
2) Enable the EnableBorrowerFiles system preference.
3) Go to a patron detail page.
   -- note the Home library is shown.
4) Go to Fines tab (left pane)
   -- Home library is still shown.
5) Click each of the four horizontal tabs
   (Account, Pay fines, Create manual invoice,
    Create manual credit)
   -- Home library not visible for both create tabs
      and the account tab
6) Click the 'Create manual invoice' tab, and create
   some kind of entry.
7) On the 'Account' tab, the table has a 'Details' button.
   Click that.
   -- Home library not visible.
8) Click the 'Details' tab in the left pane.
9) Click 'More' button and choose 'Delete'
   -- Home library not visible when asked for delete
      confirmation.
10) Cancel that, and if you know how to actually
    set up the Norwegian system preferences you can
    figure out how to test the nl-search change.

After seeing all these not visible, apply this patch.
Repeat all the steps, but this time the Home library
should be visible.

Works OK.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2018-05-11 14:13:11 UTC
Pushed to master for 18.05, thanks to everybody involved!